OpenNMS API 1.2.9

## org.opennms.report.datablock
Class IfService

    java.lang.Object
      org.opennms.report.datablock.IfService

public class IfService
extends java.lang.Object

This class holds the managed node/ip/service information for valid outage nodes.

Author:
  Jacinta Remedios , oculan.com

Field Summary
`(package private) java.lang.String` `ipaddr` Ipaddress
`(package private) int` `nodeid` Nodeid
`(package private) java.lang.String` `nodeName` Node Name
`(package private) int` `serviceid` Serviceid
`(package private) java.lang.String` `serviceName` Service Name

Constructor Summary
`IfService()` Default Constructor.
`IfService(int node, java.lang.String ip, int service, java.lang.String name, java.lang.String svcname)` Constructor that initialises the nodeid, ipaddr, service.

Method Summary
`java.lang.String` `getIpaddr()` This method returns the ipaddress.
`int` `getNodeID()` Returns the Node id
`java.lang.String` `getNodeName()` Return node name
`int` `getServiceId()` This returns the service id.
`java.lang.String` `getServiceName()` Return service name
`void` `setIpaddr(java.lang.String ip)` Sets the ipaddr.
`void` `setNodeID(int id)` Sets the node id.
`void` `setNodeName(java.lang.String name)` Sets the node name.
`void` `setServiceId(int service)` This method sets the service.
`void` `setServiceName(java.lang.String name)` Sets the Service name.
`java.lang.String` `toString()` toString method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nodeid

    int nodeid

  Nodeid

### ipaddr

    java.lang.String ipaddr

  Ipaddress

### serviceid

    int serviceid

  Serviceid

### nodeName

    java.lang.String nodeName

  Node Name

### serviceName

    java.lang.String serviceName

  Service Name

Constructor Detail

### IfService

    public IfService()

  Default Constructor.

### IfService

    public IfService(int node,
                     java.lang.String ip,
                     int service,
                     java.lang.String name,
                     java.lang.String svcname)

  Constructor that initialises the nodeid, ipaddr, service.

Method Detail

### setNodeID

    public void setNodeID(int id)

  Sets the node id.

  Parameters:
    `id` - Node id to be set

### getNodeName

    public java.lang.String getNodeName()

  Return node name

### setServiceName

    public void setServiceName(java.lang.String name)

  Sets the Service name.

  Parameters:
    `name` - Service name

### getServiceName

    public java.lang.String getServiceName()

  Return service name

### setNodeName

    public void setNodeName(java.lang.String name)

  Sets the node name.

  Parameters:
    `name` - Node name to be set

### getNodeID

    public int getNodeID()

  Returns the Node id

  Returns:
    node id.

### setIpaddr

    public void setIpaddr(java.lang.String ip)

  Sets the ipaddr.

  Parameters:
    `ip` - ipaddress to be set

### getIpaddr

    public java.lang.String getIpaddr()

  This method returns the ipaddress.

  Returns:
    Returns the ipaddress.

### setServiceId

    public void setServiceId(int service)

  This method sets the service.

  Parameters:
    `service` - Service id to be set.

### getServiceId

    public int getServiceId()

  This returns the service id.

### toString

    public java.lang.String toString()

  toString method

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.